### Summary

* [Booting](Booting/README.md)
    * [From bootloader to kernel](Booting/linux-bootstrap-1.md)
    * [First steps in the kernel setup code](Booting/linux-bootstrap-2.md)
    * [Video mode initialization and transition to protected mode](Booting/linux-bootstrap-3.md)
    * [Transition to 64-bit mode](Booting/linux-bootstrap-4.md)
    * [Kernel decompression](Booting/linux-bootstrap-5.md)
* [Initialization](Initialization/README.md)
    * [First steps in the kernel](Initialization/linux-initialization-1.md)
    * [Early interrupts handler](Initialization/linux-initialization-2.md)
    * [Last preparations before the kernel entry point](Initialization/linux-initialization-3.md)
* [Data Structures in the Linux Kernel](DataStructures/README.md)
    * [Doubly linked list](DataStructures/dlist.md)
* [Theory](Theory/README.md)
    * [Paging](Theory/Paging.md)
    * [Elf64](Theory/ELF.md)
    * [Per-CPU variables](Theory/per-cpu.md)
    * [Lockdep]()
    * [CPUID]()
    * [MSR]()
* [Misc]()
    * [Kernel building and instalation]() 
    * [Write and Submit your first Linux kernel Patch]() 
* [Useful links](LINKS.md)
* [Contributors](contributors.md)
